<?php
    /**
     * CryptoProcessing Checkout Page (JS Disabled)
     *
     * The following variables are available to be used in the template along with all WP Functions/Methods/Globals
     *
     * $order: Order Object
     * $order_id: WooCommerce Order ID
     * $order_amount: Crypto Amount
     * $crypto: Crypto Object (code, name, uri) e.g. (btc, Bitcoin, bitcoin)
     * $payment_uri: Crypto URI with Amount and Protocol
     * $qrcode_svg_element: Generate QR Code when NoJS mode is active.
     */
?>

<div id="cprocessing_checkout" class="no-js">
  <div class="cprocessing-order-container">
    <!-- Heading row -->
    <div class="cprocessing-order-heading">
      <div class="cprocessing-order-heading-wrapper">
        <div class="cprocessing-order-id">
          <span class="cprocessing-order-number"><?=__('Order #', 'cprocessing-bitcoin-payments')?><?php echo $order_id ?></span>
        </div>
      </div>
    </div>
    <!-- Checkout Panel -->
    <div class="cprocessing-order-panel">
      <div class="cprocessing-order-info">
        <div class="cprocessing-bitcoin-pane">
          <div class="cprocessing-btc-info">
            <!-- Left Side -->
            <!-- QR and Open in wallet -->
            <div class="cprocessing-qr-code">
              <div class="cprocessing-qr" style="width: 100%">
                <a href="<?php echo $payment_uri ?>" target="_blank">
                <?php echo $qrcode_svg_element ?>
                </a>
              </div>
              <div class="cprocessing-qr-code-hint"><a href="<?php echo $payment_uri ?>" target="_blank"><?=__('Open in wallet', 'cprocessing-bitcoin-payments')?></a></div>
            </div>
            <!-- Right Side -->
            <div class="cprocessing-amount">
              <div class="cprocessing-bg">
                <!-- Order Amounts -->
                <div class="cprocessing-amount">
                  <div class="cprocessing-amount-text"><?=__('To pay, send exactly this', 'cprocessing-bitcoin-payments')?> <?=strtoupper($crypto['code'])?></div>
                  <input type="text" id="cprocessing-amount-input" class="cprocessing-amount-input" style="cursor: text;" value="<?php echo $order_amount ?>" readonly>
                </div>
                <!-- Order Address -->
                <div class="cprocessing-address">
                  <div class="cprocessing-address-text"><?=__('To this', 'cprocessing-bitcoin-payments')?> <?=strtolower($crypto['name'])?> <?=__('address', 'cprocessing-bitcoin-payments')?></div>
                  <input type="text" id="cprocessing-address-input" class="cprocessing-address-input" style="cursor: text;" value="<?php echo $order['address']; ?>" readonly>
                </div>

                <div>
                  <a href="">Click here if already paid</a>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
